> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superform.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vault Reward Rates



## OpenAPI

````yaml https://persephone.superform.xyz/openapi.json get /v1/vaults/rewards
openapi: 3.1.0
info:
  title: Superform API
  description: API for interacting with the Superform platform
  version: 33.2.0
  contact:
    name: Superform Team
    url: https://superform.xyz
servers:
  - url: https://persephone.superform.xyz
security:
  - SF-API-KEY: []
tags:
  - name: RestAPIService
paths:
  /v1/vaults/rewards:
    get:
      tags:
        - RestAPIService
      summary: Get Vault Reward Rates
      operationId: RestAPIService_GetVaultRewardRates
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/restGetVaultRewardRatesResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    restGetVaultRewardRatesResponse:
      type: object
      properties:
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/commonVaultReward'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    commonVaultReward:
      type: object
      properties:
        id:
          type: string
          format: int64
        vault_id:
          type: string
        reward_type:
          type: string
        reward_logo:
          type: string
        reward_rate:
          type: number
          format: double
        reward_rate_type:
          type: string
        reward_asset_address:
          type: string
        reward_asset_symbol:
          type: string
        reward_asset_chain_id:
          type: string
          format: uint64
        reward_multiplier:
          type: number
          format: double
        token_total_supply:
          type: string
          format: uint64
        reward_configurable_price:
          type: boolean
        remarks:
          type: string
        remarks_url:
          type: string
        reward_source:
          type: string
        reward_up_base_rate:
          type: number
          format: double
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    SF-API-KEY:
      type: apiKey
      description: >-
        API key required for authentication. Use the value {{v2_api_key}} in
        Postman.
      name: SF-API-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.